function [ ] = axis3D( A, R, t, long, fig )
%axix3D: Muestra los ejes de coordenadas 3D en la imagen (SC mundo)
%     
%   Parmetros:
%       A: matriz de cmara
%       R: matriz de rotacin de la cmra
%       t: vector de traslacin de la cmara
%       long: longitud en mm de los ejes (opcional)
%       fig: ventana dibujo (opcional)
%

if nargin <4
    long =100;  % longitud por defecto
end 

if nargin == 5
    figure(fig);
end 

hold on;

%A=[ 523 0  308; 0 522 195; 0 0 1];
%R=[0.806 0.59 -0.0013; 0.503 -0.688 -0.525; -0.31, 0.421 -0.852];
%t = [-86.4 9.12 345]';

% desplazamiento texto ejes X,Y,Y 
desp_texto = [ 0 12; 10 0; 0  -8 ];
% colores ejes X,Y,Y 
colores = [ 'g' 'b' 'r'];  
textos = [ 'X', 'Y', 'Z'];
% coordenadas homogeneas extremos ejes
ejes = [long 0 0 1; 0 long 0 1; 0 0 long 1];
% desplazamiento extremos aspas (coord. homogeneoas)
desp_aspa1 = [-5 -3 0 0; -3 -5 0 0; 0 -3 -5 0];
desp_aspa2 = [-5  3 0 0;  3 -5 0 0; 0  3 -5 0];

%   Proyecta los ejes coordenados en la imagen
%   m = A[R t]M

% Proyecta origen
orig = A*[R,t]*[0 0 0 1]';  % coordenadas homogneas imagen
orig = orig/orig(3);        % pasa a coordenadas euclideas

text(orig(1)-15, orig(2)-5, 'O', 'color', 'y', ...
                'FontName', 'Arial', 'FontWeight', 'normal', 'FontSize', 10);
 
% Proyecta ejes 
for i=1:3 
    extremo = A*[R,t]*ejes(i,:)';  % coordenadas homogneas imagen
    extremo = extremo/extremo(3);        % pasa a coordenadas euclideas
    aspa1 = A*[R,t]*(ejes(i,:)+desp_aspa1(i,:))';  % coordenadas homogneas imagen
    aspa1 = aspa1/aspa1(3);        % pasa a coordenadas euclideas
    aspa2 = A*[R,t]*(ejes(i,:)+desp_aspa2(i,:))';  % coordenadas homogneas imagen
    aspa2 = aspa2/aspa2(3);        % pasa a coordenadas euclideas

    text(extremo(1)+desp_texto(i,1), extremo(2)+desp_texto(i,2), textos(i), 'color',colores(i), ...
                'FontName', 'Arial', 'FontWeight', 'normal', 'FontSize', 10);
    line([orig(1) extremo(1)], [orig(2) extremo(2)], 'Color', colores(i), 'LineWidth', 1.5);
    line([aspa1(1) extremo(1)], [aspa1(2) extremo(2)], 'Color', colores(i), 'LineWidth', 1.5);
    line([aspa2(1) extremo(1)], [aspa2(2) extremo(2)], 'Color', colores(i), 'LineWidth', 1.5);
end


end % fin de la funcin