% Intrinsic and Extrinsic Camera Parameters
%
% This script file can be directly excecuted under Matlab to recover the camera intrinsic and extrinsic parameters.
% IMPORTANT: This file contains neither the structure of the calibration objects nor the image coordinates of the calibration points.
%            All those complementary variables are saved in the complete matlab data file Calib_Results.mat.
% For more information regarding the calibration model visit http://www.vision.caltech.edu/bouguetj/calib_doc/


%-- Focal length:
fc = [ 523.18685 ; 521.88861 ];

%-- Principal point:
cc = [ 308.07685 ; 194.65737 ];

%-- Skew coefficient:
alpha_c = 0.000000000000000;

%-- Distortion coefficients:
kc = [ 0.05141 ; -0.18643 ; 0.00977 ; -0.00059 ; 0.009 ];

%-- Focal length uncertainty:
fc_error = [ 4.495976606869908 ; 3.077695267724829 ];

%-- Principal point uncertainty:
cc_error = [ 3.953359691778160 ; 5.107497303276974 ];

%-- Skew coefficient uncertainty:
alpha_c_error = 0.000000000000000;

%-- Distortion coefficients uncertainty:
kc_error = [ 0.012142259218363 ; 0.032601498338953 ; 0.002912261760827 ; 0.002216293385835 ; 0.000000000000000 ];

%-- Image size:
nx = 640;
ny = 400;




