function [ ] = showmarkers( id, points, im  )
%showmarkers: Muestra los marcadores detectados en la imagen
%     
%   Parmetros:
%     id: es un vector con los identificadores de las marcas detectadas
%     points: es una matriz de tres dimensiones points(j,k,i): 
%             j: ndice de las dos coordenadas (f,c) 
%             k: ndice de las 4 esquinas del marcador
%             i: es el ndice  en el vector de ids 
%     im: imagen 
%

figure;
imshow(im);
axis('image');  
hold on;

centroides = mean(points,2);

% para cada marcador
for i=1:size(id,2)
    % muestra id
    text(centroides(1,1,i), centroides(2,1,i), ['id=', num2str(id(i))], ...
        'color','c', 'FontName', 'Arial', 'FontWeight', 'normal', 'FontSize', 10);

    %muestra contornos
    for j=1:4
        pini = points(:,j,i);  % esquina inicial
        if j<4
            pfin =  points(:,j+1,i);  % esquina final
        else
            pfin =  points(:,1,i);  % esquina inicial
        end
        line([pini(1) pfin(1)], [pini(2) pfin(2)], 'Color', 'r', 'LineWidth', 1.5);
    end  
    % muestra esquinas  
    colores = ['b', 'g', 'y', 'c'];
    tam = [ 5 5];
     for j=1:4
         rectangle('Position',[points(1,j,i)-tam(1)/2  points(2,j,i)-tam(2)/2 tam(1) tam(2)], ...
                'EdgeColor', colores(j));
         text(points(1,j,i)+2, points(2,j,i)+8, num2str(j-1), ...
                'color',colores(j), 'FontName', 'Arial', 'FontWeight', 'bold', 'FontSize', 8);  
     end     
end

end % fin de la funcin